#include <iostream>
#include <string>

class Base{
 public:

    Base()= default;

    Base(int i){
      std::cout << "Base::Base("<< i << ")" << std::endl;
    }

    Base(std::string s){
      std::cout << "Base::Base("<< s << ")" << std::endl;
    }
};

class Derived: public Base{
  public:

    using Base::Base;

    Derived(double d){
      std::cout << "Derived::Derived("<< d << ")" << std::endl;
    }

};

int main(){

  std::cout << std::endl;

  Derived(2011);
  Derived("C++11");
  Derived(0.33);

  std::cout << std::endl;

}
